
(include "Morris-Lecar81_solver.scm")

(define (run tmax f initial)
  (let recur ((nstate (f initial)))
    (let ((t (alist-ref 't nstate)))
      (printf "~A ~A ~A~%" 
	      t
	      (alist-ref 'v nstate)
	      (alist-ref 'w nstate))
      (if (> t tmax)
	  (print "# All done!")
	  (let ((nstate1 (map (lambda (x) (or (assoc (car x) nstate) x)) initial)))
	    (recur (f nstate1)))))))


(run 100.0 Morris_Lecar81 Morris_Lecar81_initial)

